Page MenuHomePhabricator

RfC: Page protection as a component
Open, NormalPublic

Description

We need to decide on the Page protection as a component RfC.

Details

Reference
fl579

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl579.
awight closed this task as Resolved.Oct 12 2014, 9:06 PM
awight set Security to None.
awight added a subscriber: awight.

Closed--duplicate of T470.

Qgil edited projects, added TechCom-RFC; removed Architecture.Oct 22 2014, 8:46 PM
daniel moved this task from Inbox to Declined on the TechCom-RFC board.Feb 27 2015, 3:25 PM
daniel moved this task from Declined to Implemented on the TechCom-RFC board.Feb 27 2015, 3:28 PM
awight reopened this task as Open.Feb 27 2015, 3:59 PM

Unfortunately, the patch is not merged yet. I'll update with this tracking number, and try to nudged forward a bit.

https://gerrit.wikimedia.org/r/#/c/166357/

daniel moved this task from Implemented to Approved on the TechCom-RFC board.Feb 27 2015, 4:04 PM

Change 166357 had a related patch set uploaded (by Awight):
Componentize Title permissions logic

https://gerrit.wikimedia.org/r/166357

Change 203287 had a related patch set uploaded (by Awight):
WIP Refactor TitleSecurity to eliminate state

https://gerrit.wikimedia.org/r/203287

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 4:40 AM

Change 166357 abandoned by Awight:
[WIP] Componentize Title permissions logic

https://gerrit.wikimedia.org/r/166357

Change 203287 abandoned by Awight:
WIP Refactor TitleSecurity to eliminate state

https://gerrit.wikimedia.org/r/203287